cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Thingworx HA mode Apache Ignite log4j vulnerability

RosJir
2-Guest

Thingworx HA mode Apache Ignite log4j vulnerability

Hello,

I have a question regarding compatibility of Apache Ignite client used by Thingworx platform for enabling HA functionality.

Since Apache Ignite is on the list of affected applications will there be a possibility to use hot-fixed Apache Ignite (that will be realesed soon)?

 

Kind Regards,

Rostislav Jirásek

1 ACCEPTED SOLUTION

Accepted Solutions
VladimirN
23-Emerald IV
(To:RosJir)

 Hi Rostislav,

 

1. "Log4j Security Vulnerability Response Center": https://www.ptc.com/en/documents/log4j 

2. Try asking your question here - "Case Logger": https://support.ptc.com/apps/case_logger_viewer/cs/auth/ssl/log 

View solution in original post

2 REPLIES 2
VladimirN
23-Emerald IV
(To:RosJir)

 Hi Rostislav,

 

1. "Log4j Security Vulnerability Response Center": https://www.ptc.com/en/documents/log4j 

2. Try asking your question here - "Case Logger": https://support.ptc.com/apps/case_logger_viewer/cs/auth/ssl/log 

slangley
23-Emerald II
(To:RosJir)

Hi @RosJir.

 

Hopefully, you found the answer to your question regarding vulnerability in the link provided by VladimirN.  In regard to using the hot-fixed Apache Ignite, it appears that it will work with ThingWorx 9.3.  If you are using an earlier version of ThingWorx, you will need to stay with what you have.

 

Regards.

 

--Sharon

Announcements